from brain import *
from random import randrange

b=BRAIN()

cols={}
for i in range(0, 10):
    for j in range(0, 10):
        cols[i,j]=b.Standard1CellColumn()

# make 1000 random connections, with probability
# proportional to distance
for i in range(0, 1000):
    x1,y1=randrange(0,10), randrange(0,10)
    x2,y2=randrange(0,10), randrange(0,10)
    p=((x1-x2)**2 + (y1-y2)**2) / 200.0
    b.AddConnect(cols[x1,y1], cols[x2,y2], prob=p)

print b
